package com.ruoyi.web.modules.freight.domain;

import java.math.BigDecimal;

/**
 * 运费模版指定地区规则 biz_shop_freight_template_region
 */
public class BizShopFreightTemplateRegion
{
    private Long regionRuleId;

    private Long templateId;

    private String provinceIds;

    private String provinceNames;

    private BigDecimal firstUnit;

    private BigDecimal firstFee;

    private BigDecimal addUnit;

    private BigDecimal addFee;

    private BigDecimal freeThreshold;

    private Integer sortNo;

    public Long getRegionRuleId()
    {
        return regionRuleId;
    }

    public void setRegionRuleId(Long regionRuleId)
    {
        this.regionRuleId = regionRuleId;
    }

    public Long getTemplateId()
    {
        return templateId;
    }

    public void setTemplateId(Long templateId)
    {
        this.templateId = templateId;
    }

    public String getProvinceIds()
    {
        return provinceIds;
    }

    public void setProvinceIds(String provinceIds)
    {
        this.provinceIds = provinceIds;
    }

    public String getProvinceNames()
    {
        return provinceNames;
    }

    public void setProvinceNames(String provinceNames)
    {
        this.provinceNames = provinceNames;
    }

    public BigDecimal getFirstUnit()
    {
        return firstUnit;
    }

    public void setFirstUnit(BigDecimal firstUnit)
    {
        this.firstUnit = firstUnit;
    }

    public BigDecimal getFirstFee()
    {
        return firstFee;
    }

    public void setFirstFee(BigDecimal firstFee)
    {
        this.firstFee = firstFee;
    }

    public BigDecimal getAddUnit()
    {
        return addUnit;
    }

    public void setAddUnit(BigDecimal addUnit)
    {
        this.addUnit = addUnit;
    }

    public BigDecimal getAddFee()
    {
        return addFee;
    }

    public void setAddFee(BigDecimal addFee)
    {
        this.addFee = addFee;
    }

    public BigDecimal getFreeThreshold()
    {
        return freeThreshold;
    }

    public void setFreeThreshold(BigDecimal freeThreshold)
    {
        this.freeThreshold = freeThreshold;
    }

    public Integer getSortNo()
    {
        return sortNo;
    }

    public void setSortNo(Integer sortNo)
    {
        this.sortNo = sortNo;
    }
}
